<Project Sdk="Microsoft.NET.Sdk.WindowsDesktop">

  <PropertyGroup>
    <TargetFrameworks>netcoreapp3.1</TargetFrameworks>
    <GenerateDocumentFile>true</GenerateDocumentFile>
    <UseWpf>true</UseWpf>
    <UseWindowsForms>true</UseWindowsForms>
    <NoWarn>$(NoWarn);0067</NoWarn>
    <ApplicationIcon>logo.ico</ApplicationIcon>
    <OutputType>WinExe</OutputType>
    <StartupObject></StartupObject>
    <Platforms>AnyCPU;x64;x86</Platforms>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="AduSkin" Version="1.1.1.8" />
    <PackageReference Include="CommonServiceLocator" Version="2.0.5" />
    <PackageReference Include="MvvmLightLibs" Version="5.4.1.1" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="OpenCvSharp4.runtime.win" Version="4.5.1.20201229" />
    <PackageReference Include="OpenCvSharp4.WpfExtensions" Version="4.5.1.20201229" />
    <PackageReference Include="zlib.net" Version="1.0.4" />
  </ItemGroup>
  <ItemGroup Condition="'$(TargetFramework)' != 'net45'">
    <PackageReference Include="System.Text.Encoding.CodePages" Version="5.0.0" />
  </ItemGroup>
  <ItemGroup>
    <Compile Update="Views\Window2.xaml.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Update="logo.ico">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Page Update="Views\Window2.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="ManageLiteAV" Condition="'$(Platform)' == 'x64'">
      <HintPath>TRTC_SDK\Win64\lib\ManageLiteAV.dll</HintPath>
    </Reference>
    <Reference Include="ManageLiteAV" Condition="'$(Platform)' == 'AnyCPU'">
      <HintPath>TRTC_SDK\Win64\lib\ManageLiteAV.dll</HintPath>
    </Reference>
    <Reference Include="ManageLiteAV" Condition="'$(Platform)' == 'x86'">
      <HintPath>TRTC_SDK\Win32\lib\ManageLiteAV.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup Condition="'$(TargetFramework)' == 'netcoreapp3.1'">
    <PackageReference Include="OpenCvSharp4">
      <Version>4.5.1.20201229</Version>
    </PackageReference>
  </ItemGroup>
  <Target Name="PostBuild" AfterTargets="PostBuildEvent">
    <Exec Command="set Platform=Win64&#xD;&#xA;SETLOCAL ENABLEDELAYEDEXPANSION&#xD;&#xA;if $(PlatformName)==x86 ( &#xD;&#xA;set Platform=Win32&#xD;&#xA;)&#xD;&#xA;copy /Y &quot;$(ProjectDir)TRTC_SDK\!Platform!\lib\*.dll&quot; &quot;$(ProjectDir)$(OutDir)&quot;&#xD;&#xA;ENDLOCAL" />
  </Target>
</Project>
